Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227759 - nas: $RPM_OPT_FLAGS not used
Summary: nas: $RPM_OPT_FLAGS not used
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nas
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Frank Büttner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 22:45 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-08 15:03:40 UTC


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS (deleted)
2007-02-07 22:45 UTC, Ville Skyttä
no flags Details | Diff
Revert accidental change (deleted)
2007-02-08 22:40 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-07 22:45:04 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

nas is built without $RPM_OPT_FLAGS, resulting in no compiler security features
and more or less useless debuginfo.  Fix attached.

Comment 1 Ville Skyttä 2007-02-07 22:45:04 UTC
Created attachment 147609 [details]
Use $RPM_OPT_FLAGS

Comment 2 Frank Büttner 2007-02-08 15:03:40 UTC
fixed.
Thanks for the report.

Comment 3 Ville Skyttä 2007-02-08 22:40:22 UTC
Created attachment 147710 [details]
Revert accidental change

Oops, sorry, the "%if 1 || "%{?fedora}" > "4" || "%{?rhel}" > "4"" part of the
patch I submitted was for local testing only, I didn't mean to submit it. 
There's no problem for Fedora because < FC5 can't be built anyway, but I
suppose the change could cause some problems for RHEL4 builds.	This patch
would remove the accidental change.

Comment 4 Frank Büttner 2007-02-09 09:37:51 UTC
ok I have rebuild it. Or better try it(because the build system of Fedora hangs.)


Note You need to log in before you can comment on or make changes to this bug.